Retrieve a single folder

Retrieve a single folder#

Description#

Returns a folder with the provided ID, or a 404 if no matching folder is found.

GET /api/v1/folder/{folderId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

folderId

path

string

true

The unique identifier of the folder

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains a FolderDto object for the requested folder.

Example Responses#

{
  "body": {
    "created": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "parentId": "string",
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}